Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class PersonNamePartQualifierMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.PersonNamePartQualifierMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class PersonNamePartQualifierMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Person Name Part Qualifier Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getPersonNamePartQualifierMember3()`

Field Summary
`static int` | `IN` The 'IN' literal value.
`static PersonNamePartQualifierMember3` | `IN_LITERAL` The 'IN' literal object.
`static int` | `TITLE` The 'TITLE' literal value.
`static PersonNamePartQualifierMember3` | `TITLE_LITERAL` The 'TITLE' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Person Name Part Qualifier Member3' enumerators.

Method Summary
`static PersonNamePartQualifierMember3` | `get(int value)` Returns the 'Person Name Part Qualifier Member3' literal with the specified integer value.
`static PersonNamePartQualifierMember3` | `get(java.lang.String literal)` Returns the 'Person Name Part Qualifier Member3' literal with the specified literal value.
`static PersonNamePartQualifierMember3` | `getByName(java.lang.String name)` Returns the 'Person Name Part Qualifier Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final int IN

  The 'IN' literal value.

  If the meaning of 'IN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IN_LITERAL`, Constant Field Values

### TITLE

    public static final int TITLE

  The 'TITLE' literal value.

  If the meaning of 'TITLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TITLE_LITERAL`, Constant Field Values

### IN_LITERAL

    public static final PersonNamePartQualifierMember3 IN_LITERAL

  The 'IN' literal object.

  See Also:
    `IN`

### TITLE_LITERAL

    public static final PersonNamePartQualifierMember3 TITLE_LITERAL

  The 'TITLE' literal object.

  See Also:
    `TITLE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Person Name Part Qualifier Member3' enumerators.

Method Detail

### get

    public static PersonNamePartQualifierMember3 get(java.lang.String literal)

  Returns the 'Person Name Part Qualifier Member3' literal with the specified literal value.

### getByName

    public static PersonNamePartQualifierMember3 getByName(java.lang.String name)

  Returns the 'Person Name Part Qualifier Member3' literal with the specified name.

### get

    public static PersonNamePartQualifierMember3 get(int value)

  Returns the 'Person Name Part Qualifier Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD